Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class CompareValidatorCustomizer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--oracle.jbo.server.rules.CompareValidatorCustomizer

public class CompareValidatorCustomizer
extends java.awt.Panel
implements java.beans.Customizer, java.awt.event.ItemListener, java.awt.event.ActionListener, javax.swing.event.DocumentListener

An example JavaBean customizer.

This example provides a JavaBean editor for the `JboCompareValidator` JavaBean. This class is installed at design-time in the `ValidatorType` wizard.

Note that JavaBean customizers must implement the `java.beans.Customizer` interface.

Since:
  Jdeveloper 3.0
See Also:
  `JboCompareValidator`, `JboCompareValidatorBeanInfo`, Serialized Form

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`CompareValidatorCustomizer()` Creates and initializes a compare validator customizer.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent p0)` Handles a mouse click in a checkbox.
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener p0)` Sets the subscriber to this customizer's `PropertyChange` events.
`void` | `changedUpdate(javax.swing.event.DocumentEvent p0)` Handles a text-change event.
`void` | `insertUpdate(javax.swing.event.DocumentEvent p0)` Handles a text-insertion event.
`void` | `itemStateChanged(java.awt.event.ItemEvent p0)` Handles a mouse click on a list item.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener p0)` Removes the subscriber to this customizer's `PropertyChange` events.
`void` | `removeUpdate(javax.swing.event.DocumentEvent p0)` Handles a text-deletion event.
`void` | `setObject(java.lang.Object p0)` Sets the JavaBean instance to be edited, and initializes the editor comonents.

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setCursor, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompareValidatorCustomizer

    public CompareValidatorCustomizer()

  Creates and initializes a compare validator customizer.

Method Detail

### setObject

    public void setObject(java.lang.Object p0)

  Sets the JavaBean instance to be edited, and initializes the editor comonents.
  Specified by:
    setObject in interface java.beans.Customizer
  Parameters:
    `p0` - an instance of `JboCompareValidator`. Objects of other classes have no effect.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener p0)

  Sets the subscriber to this customizer's `PropertyChange` events.

  This class supports only a single listener.

  Specified by:
    addPropertyChangeListener in interface java.beans.Customizer
  Overrides:
    addPropertyChangeListener in class java.awt.Component
  Parameters:
    `p0` - the new listener.

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener p0)

  Removes the subscriber to this customizer's `PropertyChange` events.

  Specified by:
    removePropertyChangeListener in interface java.beans.Customizer
  Overrides:
    removePropertyChangeListener in class java.awt.Component
  Parameters:
    `p0` - the listener to be removed.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent p0)

  Handles a mouse click in a checkbox.

  Raises a `PropertyChangeEvent` when the Inverse box is clicked.

  Specified by:
    actionPerformed in interface java.awt.event.ActionListener
  Parameters:
    `p0` - ignored.

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent p0)

  Handles a mouse click on a list item.

  Raises a `PropertyChangeEvent` when a list item is selected.

  Specified by:
    itemStateChanged in interface java.awt.event.ItemListener
  Parameters:
    `p0` - an event identifying the newly selected item

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent p0)

  Handles a text-insertion event.

  Raises a `PropertyChangeEvent` when text is inserted.

  Specified by:
    insertUpdate in interface javax.swing.event.DocumentListener
  Parameters:
    `p0` - an event identifying the changed text.

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent p0)

  Handles a text-deletion event.

  Raises a `PropertyChangeEvent` when text is deleted.

  Specified by:
    removeUpdate in interface javax.swing.event.DocumentListener
  Parameters:
    `p0` - an event identifying the changed text.

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent p0)

  Handles a text-change event.

  Raises a `PropertyChangeEvent` when text is changed.

  Specified by:
    changedUpdate in interface javax.swing.event.DocumentListener
  Parameters:
    `p0` - an event identifying the changed text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD